package digital.laboratory.platform.reagent.service;

import com.baomidou.mybatisplus.extension.service.IService;
import digital.laboratory.platform.reagent.entity.CategoryTable;

import java.util.List;

/**
 * 服务类
 *
 * @author Zhang Xiaolong created at  2023-03-29
 * @describe  服务类
 */
public interface CategoryTableService extends IService<CategoryTable> {


    CategoryTable addSpecies(String category, String species);


    Boolean delSpeciesById(String categoryTableId);

    List<CategoryTable> getSpecies(String category);
}
